GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List personas GETAdd persona POSTDelete persona DELETEUpdate persona PUT
Personas

Delete persona DELETE

Delete a buyer persona.

List tags GET

List a brand's tags of one kind.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Personas

Update persona

PUT
/brands/{brandId}/personas/{personaId}

Edit a buyer persona.

Authorization

apiKey write
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Scope: write

Path Parameters

brandId*string
Formatuuid
personaId*string
Formatuuid

Request Body

application/json
  1. body
  1. body
  2. …
name*string
Length1 <= length <= 120
description*string
Length1 <= length <= 4000
ageRange*|
Lengthlength <= 20
educationLevel*|
Lengthlength <= 60
gender*|
Value in"female""male""non_binary"null
prompt*|
Lengthlength <= 1000

Response Body

Persona saved

application/json
  1. response
  1. response
  2. …
id*string
Formatuuid
name*string
description*string
ageRange*string|null
educationLevel*string|null
gender*|
Value in"female""male""non_binary"null
prompt*string|null
createdAt*string
updatedAt*string
Example Request
curl -X PUT 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/personas/497f6eca-6276-4993-bfeb-53cbbbba6f08' \  -H 'Content-Type: application/json' \  -d '{  "name": "string",  "description": "string",  "ageRange": "string",  "educationLevel": "string",  "gender": "female",  "prompt": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "description": "string",  "ageRange": "string",  "educationLevel": "string",  "gender": "female",  "prompt": "string",  "createdAt": "string",  "updatedAt": "string"}

Delete persona DELETE

Delete a buyer persona.

List tags GET

List a brand's tags of one kind.

Start free trial
Start free trial
Example Request
curl -X PUT 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/personas/497f6eca-6276-4993-bfeb-53cbbbba6f08' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "ageRange": "string",
  "educationLevel": "string",
  "gender": "female",
  "prompt": "string"
}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "name": "string",
  "description": "string",
  "ageRange": "string",
  "educationLevel": "string",
  "gender": "female",
  "prompt": "string",
  "createdAt": "string",
  "updatedAt": "string"
}